<?php
/**
 * Wholesale Pricing for WooCommerce - Conditional Functions
 *
 * @version 1.0.0
 * @since   1.0.0
 * @author  Algoritmika Ltd.
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if ( ! function_exists( 'alg_wc_wh_pr_is_enabled_per_product' ) ) {
	/**
	 * alg_wc_wh_pr_is_enabled_per_product.
	 *
	 * @version 1.0.0
	 * @since   1.0.0
	 */
	function alg_wc_wh_pr_is_enabled_per_product( $product_id ) {
		return (
			'yes' === get_option( 'alg_wc_wholesale_pricing_per_product_enabled', 'yes' ) &&
			'yes' === get_post_meta( $product_id, '_' . 'alg_wc_wholesale_pricing_per_product_enabled', true )
		);
	}
}

if ( ! function_exists( 'alg_wc_wh_pr_is_enabled' ) ) {
	/**
	 * alg_wc_wh_pr_is_enabled.
	 *
	 * @version 1.0.0
	 * @since   1.0.0
	 */
	function alg_wc_wh_pr_is_enabled( $product_id ) {
		if ( alg_wc_wh_pr_is_enabled_per_product( $product_id ) ) {
			return true;
		} else {
			$products_to_include_passed = false;
			$products_to_include = get_option( 'alg_wc_wholesale_pricing_products_to_include', array() );
			if ( empty ( $products_to_include ) ) {
				$products_to_include_passed = true;
			} elseif ( in_array( $product_id, $products_to_include ) ) {
				$products_to_include_passed = true;
			}
			$products_to_exclude_passed = false;
			$products_to_exclude = get_option( 'alg_wc_wholesale_pricing_products_to_exclude', array() );
			if ( empty ( $products_to_exclude ) ) {
				$products_to_exclude_passed = true;
			} elseif ( in_array( $product_id, $products_to_exclude ) ) {
				$products_to_exclude_passed = false;
			}
			return ( $products_to_include_passed && $products_to_exclude_passed );
		}
	}
}
