<?php
/**
 * Wholesale Pricing for WooCommerce - User Roles Functions
 *
 * @version 1.0.0
 * @since   1.0.0
 * @author  Algoritmika Ltd.
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if ( ! function_exists( 'alg_wc_wh_pr_get_current_user_first_role' ) ) {
	/**
	 * alg_wc_wh_pr_get_current_user_first_role.
	 *
	 * @version 1.0.0
	 * @since   1.0.0
	 */
	function alg_wc_wh_pr_get_current_user_first_role() {
		$current_user = wp_get_current_user();
		return ( isset( $current_user->roles[0] ) && '' != $current_user->roles[0] ) ? $current_user->roles[0] : 'guest';
	}
}

if ( ! function_exists( 'alg_wc_wh_pr_get_user_role_option_name_addon' ) ) {
	/**
	 * alg_wc_wh_pr_get_user_role_option_name_addon.
	 *
	 * @version 1.0.0
	 * @since   1.0.0
	 */
	function alg_wc_wh_pr_get_user_role_option_name_addon() {
		$user_roles = get_option( 'alg_wc_wholesale_pricing_by_user_role_roles', '' );
		if ( ! empty( $user_roles ) ) {
			$current_user_role = alg_wc_wh_pr_get_current_user_first_role();
			if ( in_array( $current_user_role, $user_roles ) ) {
				return '_' . $current_user_role;
			}
		}
		return '';
	}
}

if ( ! function_exists( 'alg_wc_wh_pr_get_user_roles_options' ) ) {
	/**
	 * alg_wc_wh_pr_get_user_roles_options.
	 *
	 * @version 1.0.0
	 * @since   1.0.0
	 */
	function alg_wc_wh_pr_get_user_roles_options() {
		global $wp_roles;
		$all_roles = ( isset( $wp_roles ) && is_object( $wp_roles ) ) ? $wp_roles->roles : array();
		$all_roles = apply_filters( 'editable_roles', $all_roles );
		$all_roles = array_merge( array(
			'guest' => array(
				'name'         => __( 'Guest', 'wholesale-pricing-woocommerce' ),
				'capabilities' => array(),
			) ), $all_roles );
		$all_roles_options = array();
		foreach ( $all_roles as $_role_key => $_role ) {
			$all_roles_options[ $_role_key ] = $_role['name'];
		}
		return $all_roles_options;
	}
}
